#
# spec file for package python-PyFxA
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2017-2018 The openSUSE Project.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%bcond_with test
Name:           python-PyFxA
Version:        0.6.0
Release:        lp151.2.1
Summary:        Firefox Accounts client library for Python
License:        MPL-2.0
Group:          Development/Languages/Python
Url:            https://github.com/mozilla/PyFxA
Source:         https://files.pythonhosted.org/packages/source/P/PyFxA/PyFxA-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-PyBrowserID
Requires:       python-cryptography
Requires:       python-requests >= 2.4.2
Requires:       python-six
BuildArch:      noarch
%if %{with test}
BuildRequires:  %{python_module PyBrowserID}
BuildRequires:  %{python_module cryptography}
BuildRequires:  %{python_module grequests}
BuildRequires:  %{python_module hawkauthlib}
BuildRequires:  %{python_module mock}
BuildRequires:  %{python_module requests >= 2.4.2}
BuildRequires:  %{python_module responses}
BuildRequires:  %{python_module six}
%endif
%python_subpackages

%description
This is python library for interacting with the Firefox Accounts ecosystem.

%prep
%setup -q -n PyFxA-%{version}
sed -i -e '/^#!\/usr\/bin\/env python/d' fxa/__main__.py

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%if %{with test}
%check
%python_exec setup.py test
%endif

%files %{python_files}
%doc CHANGES.txt README.rst
%python3_only %{_bindir}/fxa-client
%{python_sitelib}/*

%changelog
* Tue Dec  4 2018 Matej Cepl <mcepl@suse.com>
- Remove superfluous devel dependency for noarch package
* Mon Aug 13 2018 mcepl@suse.com
- Remove dependency on unittest2
* Sun May 13 2018 antoine.belvire@opensuse.org
- Update to version 0.6.0:
  * Add support for PKCE challenge and response in the OAuth flow.
  * Add ability to supply `keys_jwk` when starting an OAuth flow.
  * Improve scope-matching logic based on new FxA testcases,
    including handling of URL-format scopes.
* Fri Jan 12 2018 antoine.belvire@opensuse.org
- Update to version 0.5.0:
  * Add ability to login with unblock codes.
  * Tell testrunners to ignore some test helper utilities.
* Sat Dec  2 2017 antoine.belvire@opensuse.org
- Initial package: python-PyFxA 0.4.0.
